AWS IoT Device SDK C++ v2: Aws::Eventstreamrpc::ConnectionConfig Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Protected Attributes | List of all members
Aws::Eventstreamrpc::ConnectionConfig Class Reference

`#include <EventStreamClient.h>`

Inheritance diagram for Aws::Eventstreamrpc::ConnectionConfig:

## Public Member Functions
| ConnectionConfig () noexcept
Crt::Optional< Crt::String > | GetHostName () const noexcept
Crt::Optional< uint16_t > | GetPort () const noexcept
Crt::Optional< Crt::Io::SocketOptions > | GetSocketOptions () const noexcept
Crt::Optional< MessageAmendment > | GetConnectAmendment () const noexcept
Crt::Optional< Crt::Io::TlsConnectionOptions > | GetTlsConnectionOptions () const noexcept
Crt::Io::ClientBootstrap * | GetClientBootstrap () const noexcept
OnMessageFlushCallback | GetConnectRequestCallback () const noexcept
ConnectMessageAmender | GetConnectMessageAmender () const noexcept
void | SetHostName (Crt::String hostName) noexcept
void | SetPort (uint16_t port) noexcept
void | SetSocketOptions (const Crt::Io::SocketOptions &socketOptions) noexcept
void | SetConnectAmendment (const MessageAmendment &connectAmendment) noexcept
void | SetTlsConnectionOptions (Crt::Io::TlsConnectionOptions tlsConnectionOptions) noexcept
void | SetClientBootstrap (Crt::Io::ClientBootstrap *clientBootstrap) noexcept
void | SetConnectRequestCallback (OnMessageFlushCallback connectRequestCallback) noexcept

## Protected Attributes
Crt::Optional< Crt::String > | m_hostName
Crt::Optional< uint16_t > | m_port
Crt::Optional< Crt::Io::SocketOptions > | m_socketOptions
Crt::Optional< Crt::Io::TlsConnectionOptions > | m_tlsConnectionOptions
Crt::Io::ClientBootstrap * | m_clientBootstrap
MessageAmendment | m_connectAmendment
OnMessageFlushCallback | m_connectRequestCallback

## Detailed Description

Configuration structure holding all configurations relating to eventstream RPC connection establishment

## Constructor & Destructor Documentation

## ◆ ConnectionConfig()

Aws::Eventstreamrpc::ConnectionConfig::ConnectionConfig | ( |  | ) |
| inlinenoexcept

## Member Function Documentation

## ◆ GetClientBootstrap()

Crt::Io::ClientBootstrap * Aws::Eventstreamrpc::ConnectionConfig::GetClientBootstrap | ( |  | ) | const
| inlinenoexcept

## ◆ GetConnectAmendment()

Crt::Optional< MessageAmendment > Aws::Eventstreamrpc::ConnectionConfig::GetConnectAmendment | ( |  | ) | const
| inlinenoexcept

## ◆ GetConnectMessageAmender()

ConnectMessageAmender Aws::Eventstreamrpc::ConnectionConfig::GetConnectMessageAmender | ( |  | ) | const
| inlinenoexcept

## ◆ GetConnectRequestCallback()

OnMessageFlushCallback Aws::Eventstreamrpc::ConnectionConfig::GetConnectRequestCallback | ( |  | ) | const
| inlinenoexcept

## ◆ GetHostName()

Crt::Optional< Crt::String > Aws::Eventstreamrpc::ConnectionConfig::GetHostName | ( |  | ) | const
| inlinenoexcept

## ◆ GetPort()

Crt::Optional< uint16_t > Aws::Eventstreamrpc::ConnectionConfig::GetPort | ( |  | ) | const
| inlinenoexcept

## ◆ GetSocketOptions()

Crt::Optional< Crt::Io::SocketOptions > Aws::Eventstreamrpc::ConnectionConfig::GetSocketOptions | ( |  | ) | const
| inlinenoexcept

## ◆ GetTlsConnectionOptions()

Crt::Optional< Crt::Io::TlsConnectionOptions > Aws::Eventstreamrpc::ConnectionConfig::GetTlsConnectionOptions | ( |  | ) | const
| inlinenoexcept

## ◆ SetClientBootstrap()

void Aws::Eventstreamrpc::ConnectionConfig::SetClientBootstrap | ( | Crt::Io::ClientBootstrap * | clientBootstrap | ) |
| inlinenoexcept

## ◆ SetConnectAmendment()

void Aws::Eventstreamrpc::ConnectionConfig::SetConnectAmendment | ( | const MessageAmendment & | connectAmendment | ) |
| inlinenoexcept

## ◆ SetConnectRequestCallback()

void Aws::Eventstreamrpc::ConnectionConfig::SetConnectRequestCallback | ( | OnMessageFlushCallback | connectRequestCallback | ) |
| inlinenoexcept

## ◆ SetHostName()

void Aws::Eventstreamrpc::ConnectionConfig::SetHostName | ( | Crt::String | hostName | ) |
| inlinenoexcept

## ◆ SetPort()

void Aws::Eventstreamrpc::ConnectionConfig::SetPort | ( | uint16_t | port | ) |
| inlinenoexcept

## ◆ SetSocketOptions()

void Aws::Eventstreamrpc::ConnectionConfig::SetSocketOptions | ( | const Crt::Io::SocketOptions & | socketOptions | ) |
| inlinenoexcept

## ◆ SetTlsConnectionOptions()

void Aws::Eventstreamrpc::ConnectionConfig::SetTlsConnectionOptions | ( | Crt::Io::TlsConnectionOptions | tlsConnectionOptions | ) |
| inlinenoexcept

## Member Data Documentation

## ◆ m_clientBootstrap

Crt::Io::ClientBootstrap* Aws::Eventstreamrpc::ConnectionConfig::m_clientBootstrap
| protected

## ◆ m_connectAmendment

MessageAmendment Aws::Eventstreamrpc::ConnectionConfig::m_connectAmendment
| protected

## ◆ m_connectRequestCallback

OnMessageFlushCallback Aws::Eventstreamrpc::ConnectionConfig::m_connectRequestCallback
| protected

## ◆ m_hostName

Crt::Optional<Crt::String> Aws::Eventstreamrpc::ConnectionConfig::m_hostName
| protected

## ◆ m_port

Crt::Optional<uint16_t> Aws::Eventstreamrpc::ConnectionConfig::m_port
| protected

## ◆ m_socketOptions

Crt::Optional<Crt::Io::SocketOptions> Aws::Eventstreamrpc::ConnectionConfig::m_socketOptions
| protected

## ◆ m_tlsConnectionOptions

Crt::Optional<Crt::Io::TlsConnectionOptions> Aws::Eventstreamrpc::ConnectionConfig::m_tlsConnectionOptions
| protected

The documentation for this class was generated from the following file:

- eventstream_rpc/include/aws/eventstreamrpc/EventStreamClient.h